

Sub Init()
	m.PRESS_TASKCMD_0 = 0
	m.PRESS_CALL_TASK_FUNC = 1
	m.PRESS_TASKCMD_QUIT = 2
    scene = m.top
	print "init with xml, no para" "init will CreateObject"
    titleLabel = CreateObject("roSGNode", "Label")
	property = {
		id: "titleLabel"
		color: "0xE6E600FF"
		font: "font:LargeBoldSystemFont"
		numLines: 1 
		horizAlign: "center"
		width: 1280
		text: "1912 Rendezvous, Render thread"
		translation: [0,280]
	}
	titleLabel.font.size = 60	'not working font: {size: 60}
	titleLabel.update(property)   

    scene.appendChild(titleLabel) 'titleLabel.parent = m.top
   	m.label = titleLabel

    list = CreateObject("roSGNode", "LabelList")
	property = {
		translation: [510,400]
		vertFocusAnimationStyle: "floatingFocus"
		itemSize: [260,48]
		textHorizAlign: "center"
		id: "LabelListID"
	}
	list.update(property)   
    scene.appendChild(list)
    list.SetFocus( true )
    list.ObserveField("itemSelected", "OnMenuItemSelected")
    
    m.menuLabelList = list
    menuItems = CreateObject("roSGNode", "ContentNode")
    c = menuItems.CreateChild("ContentNode")
    'c.title = "Close1"
    c.uihint = "ContentNodeHome"
    c = menuItems.CreateChild("ContentNode")
    c.title = "Run command"
    c.uihint = "ContentNodeComponent"

	m.menuLabelList.content = menuItems
	print "MainScene init menuLabelList.getChildCount="m.menuLabelList.getChildCount()
	firstItemText = "Close"
	firstItem = menuItems.getChild(0)
	firstItem.title = firstItemText
	m.ClickCount = m.PRESS_TASKCMD_0

	print "MainScene init starting InitTask"
	InitTask(scene)
	print "init exit"
End Sub


Function OnMenuItemSelected() as Void
    itemSelected = m.menuLabelList.itemSelected
    c = m.menuLabelList.content.getChild(itemSelected)
    uiHint = c.uihint
	print "OnMenuItemSelected hint="uiHint

	scene = m.top
    if uiHint = "ContentNodeHome"
        m.top.mainSceneClosed = true
		m.myTask.control = "STOP"
	else if uiHint = "ContentNodeComponent"
		print "MainScene OnMenuItemSelected second item clicked, uiHint="uiHint
		if m.ClickCount = m.PRESS_TASKCMD_0
			m.myTask.command = "command1"
		else if m.ClickCount = m.PRESS_CALL_TASK_FUNC
			m.myTask.callFunc("InterfaceFunction", {bool: false} )
			'not m.myTask.InterfaceFunction( {bool: true} ) 'Member function not found
		else if m.ClickCount = m.PRESS_TASKCMD_QUIT
			m.myTask.command = "quit"
		end if
		m.ClickCount++
	else
		print "MainScene OnMenuItemSelected unknown uiHint="uiHint
    end if
	'sees already quit here. print "OnMenuItemSelected 
End Function

Function InitTask(scene as Object) as Void
	m.myTask = CreateObject("roSGNode", "MyTask")
	threadinfo = m.myTask.threadinfo()
	m.myTask.functionName = "eventLoopFunction"
	'print "MyTask will run, json threadinfo=" FormatJson(threadinfo)
	m.myTask.metadata = scene
	m.myTask.control = "RUN"
	print "TestTask done RUN"
End Function
