'20200103 test Rendezvous and Eventloop

#const WXC_RENDEZVOUS = false 'true  'else is to test event loop


Sub Main( params As Object )
    screen = CreateObject("roSGScreen")
    port = CreateObject("roMessagePort")
    screen.setMessagePort(port)

	m.global = screen.getGlobalNode()
	m.global.addField("myInt", "int", false)  '"bool"
	m.global.myInt = 3
    'print "Main m.global="m.global "screen="screen " , type of port ="type(port)

    scene = screen.CreateScene("MainScene")

    screen.show()
    scene.ObserveField("mainSceneClosed", port)
	titleLabel = scene.findNode("titleLabel")
	if titleLabel = invalid
	    print "Main titleLabel not found"
		return
	end if

	list = scene.findNode("LabelListID")
	if list = invalid
		print "Main list invalid" 
		return
	end if
	list.ObserveField("itemSelected", port)


	titleLabel.text = "Main: min/controllerPort 2"

#if WXC_RENDEZVOUS
    print "Main causing Rendezvous"
 	LoopText(titleLabel, 10)
    print "Main causing Rendezvous done"
#end if
	EventLoop(port)
End Sub

Function EventLoop(port as Object)
    while true
        print "Main EventLoop, will waiting" chr(10) chr(10)
        msg = Wait(0, port)
        msgType = Type(msg)
        print "Main loop, done wait, exit msgType="msgType
        if msgType = "roSGScreenEvent"
            if msg.isScreenClosed()
                print "Main loop, exiting due to isScreenClosed, msgType="msgType
                exit while
            end if
        else if msgType = "roSGNodeEvent"
			print "Main loop, roSGNodeEvent"
            if msg.GetField() = "itemSelected"
				index = msg.GetData()
				print "Main loop, list data="index
				if index = 1
					'print "Main loop, exiting due to second item in LabelList"
					'exit while
				end if
            end if
            if msg.GetField() = "mainSceneClosed"
                isMainSceneClosed = msg.GetData()
                print "Main loop, exiting due to soft button, msgType="msgType ", isMainSceneClosed="isMainSceneClosed
                exit while
            end if
        end if
    end while
End Function

#if WXC_RENDEZVOUS
	Sub LoopText(label1 as Object,  numTimes As Integer )
		for i = 1 to numTimes
			label1.text = "from main thread " + i.toStr()
		next
	End Sub
#end if

